import { __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { BasePatternLock } from '../components/base-pattern-lock/Component.js';

var styles = {"component":"pattern-lock-v1__component_1ht6t","forgotBtn":"pattern-lock-v1__forgotBtn_1ht6t","hiddenBtn":"pattern-lock-v1__hiddenBtn_1ht6t"};
require('./desktop.css')

var PatternLockDesktopV1 = forwardRef(function (restProps, ref) { return React.createElement(BasePatternLock, __assign({}, restProps, { hover: true, ref: ref, styles: styles })); });

export { PatternLockDesktopV1 };
